# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'nuge/version'

Gem::Specification.new do |spec|
  spec.name          = 'nuge'
  spec.version       = Nuge::VERSION
  spec.authors       = ['Parker Selbert']
  spec.email         = ["parker@sorentwo.com"]
  spec.homepage      = 'https://github.com/dscout/nuge'
  spec.license       = "MIT"
  spec.description   = 'Uniform interface for pushing notifications to multiple clients'
  spec.summary       = 'Uniform interface for pushing notifications to multiple clients'

  spec.files         = `git ls-files`.split($/)
  spec.test_files    = spec.files.grep(%r{^(spec)/})
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler',      '~> 1.0'
  spec.add_development_dependency 'rake',         '~> 10.1'
  spec.add_development_dependency 'rspec',        '~> 2.14'
  spec.add_development_dependency 'grocer',       '~> 0.4'
  spec.add_development_dependency 'urbanairship', '~> 2.3'
end
