require 'nuge'

describe Nuge do
  describe '.configure 'do
    it 'applies the provided block to the pusher class' do
      client = Object.new

      Nuge.configure do |config|
        config.clients = [client]
      end

      expect(Nuge::Pusher.clients).to include(client)
    end
  end

  describe '.pusher' do
    it 'provides a shortcut to creating a pusher instance' do
      expect(Nuge.pusher).to be_instance_of(Nuge::Pusher)
    end
  end
end
